Description

When I edit a layer while a definition query is applied and then change the definition query to a different feature, I need to restart QGIS

before I can use the edit node tool.  I'm assuming this has something to do with the editor only indexing nodes on the first definition query.

In order to recreate the problem edit one feature on a layer with a definition query applied.  Save your edits and stop editing session.  Then

change the query to a different feature and start a new  editing session.  It will  return the error "Node tool: could not snap to a segment on

the current layer."

I am running QGIS 2.10.1 64bit on 64bit Windows 7

History

#1 - 2016-03-15 08:57 AM - Andrew Miller

- File Capture.PNG added

#2 - 2016-04-09 10:09 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Digitising

what do you mean with "definition query"?

#3 - 2016-05-23 05:32 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
